using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using XmlRpc;

namespace BlogPost
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        public string userId, userPassword;
        public BlogInfo userBlog;

        private void blogButton_Click(object sender, EventArgs e)
        {
            blogComboBox.Items.Clear();
            goButton.Enabled = false;

            try
            {
                XmlRpcGetUsersBlogs getUsersBlogs = new XmlRpcGetUsersBlogs(Form1.CocoUrl, idTextBox.Text, passwordMaskedTextBox.Text);
                List<BlogInfo> blogList = getUsersBlogs.Request();
                foreach (BlogInfo x in blogList)
                {
                    blogComboBox.Items.Add(x);
                }
            }
            catch
            {
                MessageBox.Show("blogꗗ̎擾Ɏs܂", this.Text);
            }

            if (blogComboBox.Items.Count > 0)
            {
                blogComboBox.SelectedIndex = 0;
                goButton.Enabled = true;
            }
        }

        private void okButton_Click(object sender, EventArgs e)
        {
            userBlog = (BlogInfo)blogComboBox.SelectedItem;
            userId = idTextBox.Text;
            userPassword = passwordMaskedTextBox.Text;
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            idTextBox.Text = userId;
            passwordMaskedTextBox.Text = userPassword;
            if (userBlog != null)
            {
                blogComboBox.Items.Add(userBlog);
                blogComboBox.SelectedIndex = 0;
                goButton.Enabled = true;
            }
        }
    }
}