using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Drawing.Drawing2D;
using XmlRpc;

namespace BlogPost
{
    public partial class Form3 : Form
    {
        public Image TargetImage;
        public string TargetName;

        public Form3()
        {
            InitializeComponent();
        }

        private void openButton_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                string imageFilename = openFileDialog1.FileName;
                pictureBox1.Image = Image.FromFile(imageFilename);
                fileNameLabel.Text = Path.GetFileName(imageFilename);
                sizeLabel.Text = pictureBox1.Image.Width + "~" + pictureBox1.Image.Height;
            }
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            if (pictureBox1.Image == null)
            {
                MessageBox.Show("C[Ww肵Ă", this.Text);
                return;
            }

            TargetImage = pictureBox1.Image;
            TargetName = fileNameLabel.Text;
        }
    }
}