using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.IO;
using System.Text.RegularExpressions;
using System.Web;

namespace ExciteTrans
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            string direction = ejRadioButton.Checked ?
                "ENJA" : "JAEN";
            afterTextBox.Text = ExciteTrans(beforeTextBox.Text, direction);
            tabControl1.SelectTab(afterTab);
        }

        string ExciteTrans(string s, string direction)
        {
            Encoding sjisEncoding =
                Encoding.GetEncoding("shift_jis");
            string beforeText = HttpUtility.UrlEncode(s,
                sjisEncoding);
            string sendString = string.Format(
                "before={0}&wb_lp={1}", beforeText, direction);
            
            WebRequest myRequest = WebRequest.Create(
                "http://www.excite.co.jp/world/english/");
            myRequest.ContentType =
                "application/x-www-form-urlencoded";
            myRequest.Method = "POST";

            StreamWriter requestWriter = new StreamWriter(
                myRequest.GetRequestStream(), sjisEncoding);
            requestWriter.Write(sendString);
            requestWriter.Close();

            WebResponse httpResponse = myRequest.GetResponse();
            StreamReader myReader = new StreamReader(
                httpResponse.GetResponseStream(), sjisEncoding);
            string afterText = myReader.ReadToEnd();
            httpResponse.Close();

            Match myMatch = Regex.Match(afterText,
                @"<textarea\s+[^>]*name\s*=\s*""after""[^>]*>(.*)</textarea>",
                RegexOptions.IgnoreCase | RegexOptions.Singleline);
            string after =
                myMatch.Success ? myMatch.Groups[1].Value : "";
         
            return HttpUtility.HtmlDecode(after);
        }
    }
}