using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Net;
using System.Web;

namespace SearchBar
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            SearchData myData =
                (SearchData)siteComboBox.SelectedItem;
            Process.Start(myData.GetSearchUrl(
                keywordTextBox.Text));
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            siteComboBox.Items.Add(new SearchData(
                "http://www.google.co.jp/search?hl=ja&ie=utf-8&oe=utf-8", "Google", "q"));
            siteComboBox.Items.Add(new SearchData(
                "http://search.yahoo.co.jp/search?fr=yssn&ei=utf-8", "Yahoo!", "p"));
            siteComboBox.Items.Add(new SearchData(
                "http://search.msn.co.jp/results.aspx?cp=65001&FORM=FREEWS", "Windows Live", "q"));
            siteComboBox.SelectedIndex = 0;
        }
    }

    public class SearchData
    {
        private string url, title, query;

        public SearchData(string myUrl, string siteTitle, string queryParameter)
        {
            url = myUrl;
            title = siteTitle;
            query = queryParameter;
        }

        public string GetSearchUrl(string keyword)
        {
            return string.Format("{0}&{1}={2}", url, query,
                HttpUtility.UrlEncode(keyword, 
                Encoding.UTF8));
        }

        public override string ToString()
        {
            return title;
        }
   }
}