using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Xml;

namespace Dom1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            listView1.Items.Clear();
            XmlDocument myDoc = new XmlDocument();
            string fileName = Path.Combine(
                Application.StartupPath, "Cdlist.xml");
            myDoc.Load(fileName);

            XmlNode rootElement = myDoc.DocumentElement;

            foreach (XmlNode currentNode in
                rootElement.ChildNodes)
            {
                if (currentNode.NodeType == XmlNodeType.Element &&
                    currentNode.Name == "CD")
                {
                    ListViewItem lvItem = new ListViewItem();
                    lvItem.SubItems.AddRange(new string[]
                        { "", "" });
                    foreach (XmlNode subNode in
                        currentNode.ChildNodes)
                    {
                        if (subNode.NodeType ==
                            XmlNodeType.Element)
                            switch (subNode.Name)
                            {
                                case "Title":
                                    lvItem.Text = subNode.
                                        InnerText;
                                    break;
                                case "Artist":
                                    lvItem.SubItems[1].Text = subNode.
                                        InnerText;
                                    break;
                                case "ReleaseDate":
                                    lvItem.SubItems[2].Text = subNode.
                                        InnerText;
                                    break;
                            }
                    }
                    listView1.Items.Add(lvItem);
                }
            }
        }
    }
}