using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace HttpException
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            HttpWebResponse myResponse = null;
            string s = null;

            try
            {
                WebRequest myRequest = WebRequest.Create("http://www.example.com/somedir/");
                myResponse = (HttpWebResponse)myRequest.GetResponse();
            }
            catch (WebException ex)
            {
                if (ex.Status == WebExceptionStatus.ProtocolError)
                {
                    HttpWebResponse exReponse = (HttpWebResponse)ex.Response;
                    s = exReponse.StatusDescription;
                    exReponse.Close();
                }
                else
                {
                    throw ex;
                }
            }
            finally
            {
                if (myResponse != null)
                    myResponse.Close();
            }



        }
    }
}