using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;

namespace HttpRedirect
{
        public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void goButton_Click(object sender, EventArgs e)
        {
            resultTextBox.Text = "";
            Redirect(urlTextBox.Text, 5);
        }

        private void Redirect(string url, int maxRedirect)
        {
            HttpWebRequest myRequest = 
                (HttpWebRequest)WebRequest.Create(url);
            myRequest.AllowAutoRedirect = false;
            
            HttpWebResponse myResponse =
                (HttpWebResponse)myRequest.GetResponse();

            int code = (int)myResponse.StatusCode;
            resultTextBox.Text += string.Format("{0} {1}\r\n", 
                code.ToString(), url);
            myResponse.Close();
            
            if (code >= 300 && code < 400)
            {
                string newUrl = myResponse.Headers["Location"];
                if (maxRedirect > 0)
                    Redirect(newUrl, maxRedirect--);
            }
        }
    }
}
