using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.Web;
using System.IO;

namespace Mapshow
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        
        private void goButton_Click(object sender, EventArgs e)
        {
            if (radioButtonW.Checked)
                MapImage("W");
            else if (radioButtonN.Checked)
                MapImage("N");
            else
                MapImage("D");
        }

        private void MapImage(string scale)
        {
            string mapUrl = string.Format(
                "http://clip.alpslab.jp/bin/map?ie=utf-8&adr={0}&opt=S{1}",
                HttpUtility.UrlEncode(
                addressTextBox.Text, Encoding.UTF8), scale);
            WebClient myClient = new WebClient();
            myClient.Headers["User-Agent"] =
                "Mapshow/1.0 (csharp client)";

            Stream httpStream = myClient.OpenRead(mapUrl);
            mapPictureBox.Image =
                Image.FromStream(httpStream);
            httpStream.Close();
        }
    }
}